Skip to main content
GET
Returns a list of price details for the requested items.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Query Parameters

itemIds
string<uuid>[]
customerId
string<uuid>

Gets the unique identifier for the customer. Represents a unique key for identifying a customer in the JTL system.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

IsExisting
boolean

Gets a value indicating whether the customer key represents an existing customer.

currencyFactor
number<decimal>

Response

itemId
string<uuid>
required

Unique ID to identify an item.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

defaultSalesPriceNet
number<decimal>

The default net sales price of the item.

latestSalesPriceNet
number<decimal>

The latest net sales price of the item.

customersLatestSalesPriceNet
number<decimal>

The latest net sales price of the item for a specific customer.

purchasePriceNet
number<decimal>

The purchase price of the item.

latestPurchasePriceNet
number<decimal>

The latest purchase price of the item.